Request (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ocsp

## Class Request

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.Request

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class Request
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(CertID reqCert, Extensions singleRequestExtensions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Request` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static Request` | `getInstance(java.lang.Object obj)`
    `CertID` | `getReqCert()`
    `Extensions` | `getSingleRequestExtensions()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(CertID reqCert,
                         Extensions singleRequestExtensions)

  - ### Method Detail

    - #### getInstance

          public static Request getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

    - #### getInstance

          public static Request getInstance(java.lang.Object obj)

    - #### getReqCert

          public CertID getReqCert()

    - #### getSingleRequestExtensions

          public Extensions getSingleRequestExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           Request         ::=     SEQUENCE {
               reqCert                     CertID,
               singleRequestExtensions     [0] EXPLICIT Extensions OPTIONAL }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.